<section class="search-results">
  {% if active_filters|length != 0 %}
    {% include [
      '@' ~ active_theme ~ '/search-results/active-filters.html.twig',
      '@xs_searchable_content/search-results/active-filters.html.twig'
    ] %}
  {% endif %}

  <h1 class="search-results__title">
    {{ search_result_count }}
    {% if search_result_count == 1 %}
      {{ 'result'|t }}
    {% else %}
      {{ 'results'|t }}
    {% endif %}

    {{ 'found'|t }}

    {% if search_query != '*:*' %}
      {% if search_query is not empty %}
        {{ 'for'|t }} "<span class="search-results__term" id="search-term">{{ search_query }}</span>"
      {% endif %}
    {% endif %}

  </h1>

  {% if search_original_query is not empty %}
    <p>
      {% if search_original_result_count > 0 %}
        {{ 'Search instead for'|t }}
        &ldquo;<a href="{{ path('xs_searchable_content.web.search', {
        'query': search_original_query,
        'filters': search_facets_string,
        'page_number': 1,
        'no_autocorrect': true
      }) }}">{{ search_original_query }}</a>&rdquo;
      {% else %}
        {{ 'Your query was automatically corrected'|t }}
      {% endif %}
    </p>
  {% elseif search_suggestion is not empty %}
    <p>
      {{ 'Did you mean'|t }}
      &ldquo;<a class="fw-bold" href="{{ path('xs_searchable_content.web.search', {
        'query': search_suggestion,
        'filters': search_facets_string,
        'page_number': 1,
      }) }}">{{ search_suggestion }}</a>&rdquo;
    </p>
  {% endif %}

  {% block search_form %}
  {% endblock %}

  {% if search_results is empty %}
    <p>{{ 'No results were found for the given query.'|t }}</p>
  {% else %}
    {% block result_list %}
      <ul id="search-results" class="search-results__list">
        {% for search_result in search_results %}
          {% include [
            search_result.render_template,
            '@' ~ active_theme ~ '/search-results/result-view-type/result-default.html.twig'
          ] with { 'search_result': search_result } %}
        {% endfor %}
      </ul>
    {% endblock %}
  {% endif %}
</section>

{% if not(search_results is empty) %}
  <div class="search-results__pagination">
    <nav aria-label="{{ 'Page navigation'|t }}">
      <ul class="pagination" id="pagination">
        {% set previous_page_arrow = search_pagination.getPreviousPage() %}
        {% set next_page_arrow = search_pagination.getNextPage() %}
        {% set previous_pages = 2 %}
        {% set next_pages = 2 %}

        {% if previous_page_arrow is empty %}
          {% set next_pages = 4 %}
        {% endif %}

        {% if next_page_arrow is empty %}
          {% set previous_pages = 4 %}
        {% endif %}

        <li class="page-item page-item-previous {% if previous_page_arrow is empty %} disabled {% endif %}">
          {% if previous_page_arrow is empty %}
            {% set paginationUrl = '' %}
          {% else %}
            {% set paginationUrl = path('xs_searchable_content.web.search', {
              'query': search_query_string,
              'filters': search_facets_string,
              'page_number': previous_page_arrow
            }) %}
          {% endif %}

          <a class="page-link" href="{{ paginationUrl }}"
             rel="nofollow" {% if paginationUrl is empty %} aria-disabled="true" role="button" tabindex="-1" {% endif %}>
            <span>{{ 'Previous'|t }}</span>
          </a>
        </li>

        {% for previous_page in search_pagination.getPreviousPages(previous_pages) %}
          {% set paginationUrl = path('xs_searchable_content.web.search', {
            'query': search_query_string,
            'filters': search_facets_string,
            'page_number': previous_page
          }) %}

          <li class="page-item">
            <a class="page-link" href="{{ paginationUrl }}" rel="nofollow">
              {{ previous_page }}
            </a>
          </li>
        {% endfor %}

        {% set paginationUrl = path('xs_searchable_content.web.search', {
          'query': search_query_string,
          'filters': search_facets_string,
          'page_number': search_pagination.getCurrentPage()
        }) %}

        <li class="page-item active">
          <a class="page-link" href="{{ paginationUrl }}" rel="nofollow" aria-current="page">
            {{ search_pagination.getCurrentPage() }}
          </a>
        </li>

        {% for next_page in search_pagination.getNextPages(next_pages) %}
          {% set paginationUrl = path('xs_searchable_content.web.search', {
            'query': search_query_string,
            'filters': search_facets_string,
            'page_number': next_page
          }) %}

          <li class="page-item">
            <a class="page-link" href="{{ paginationUrl }}" rel="nofollow">
              {{ next_page }}
            </a>
          </li>
        {% endfor %}

        <li class="page-item page-item-next {% if next_page_arrow is empty %} disabled {% endif %}">
          {% if next_page_arrow is empty %}
            {% set paginationUrl = '' %}
          {% else %}
            {% set paginationUrl = path('xs_searchable_content.web.search', {
              'query': search_query_string,
              'filters': search_facets_string,
              'page_number': next_page_arrow
            }) %}
          {% endif %}

          <a class="page-link" href="{{ paginationUrl }}"
             rel="nofollow" {% if paginationUrl is empty %} aria-disabled="true" role="button" tabindex="-1" {% endif %}>
            <span>{{ 'Next'|t }}</span>
          </a>
        </li>
      </ul>
    </nav>
  </div>
{% endif %}
